[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector2_double): Tvector3_single

Allow assignment of two-dimensional double precision vector to three-dimensional single precision vector

## Declaration

Source position: matrix.pp line 281

`operator operator :=(Tvector2_double): Tvector3_single(`
`const v: Tvector2_double`
`):Tvector3_single;`

## Description

This operator allows you to use a two-dimensional vector with double precision values wherever a three-dimensional vector with single precision is expected. Some accuracy is lost because of the conversion and the third dimension is set to 0.0.

Documentation generated on: Feb 26 2014